Bug 81057 - Cannot reply to plaintext messages: <pre> and <tt> are invisible
Cannot reply to plaintext messages: <pre> and <tt> are invisible
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: gtkhtml (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
http://bugzilla.ximian.com/show_bug.c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-03 17:00 EST by John Stracke
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-03 17:57:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Stracke 2003-01-03 17:00:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
The gtkhtml bundled with RH8 cannot properly render some of the fixed-width
fonts also bundled with RH8.  If gtkhtml's fixed-width font is set to Courier
16, then, when I reply to a plaintext message in Evolution, the quoted text is
invisible; to see it, I have to select it and change from Preformat to Normal. 
This is a serious pain.  The same occurs when I try to compose a message with
<pre> or <tt> text: that text is invisible.  And, of course, composing a
plaintext message effectively puts the whole thing in <pre>, so the whole
message is invisible.

Switching to Courier 14 makes plaintext that I'm composing from scratch visible,
but quoted text in replies is still invisible.

I reported this to Ximian (the URL given is to the bug in their bugzilla), but
they declined to address it; they say it's fixed in Evolution 1.2.  But
upgrading Evolution has historically been a massive pain; even if they've got
RPMs compatible with RH8, I don't want to touch them unless I know they'll work.

So, it's a packaging problem, and that makes it potentially your department. 
Please provide either 1.2 packaged for RH8 or a patched version of 1.0.8.  (The
latter might be as simple as packaging the latest version of gtkhtml, if it
turns out to be compatible with 1.0.8.)

Note that, if RH8 is trying to get traction on the desktop, and Evolution is the
default mailer, then a bug that prevents people from being able to communicate
with users who send plaintext (many, especially on mailing lists) is a big deal.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select a text/plain message.
2. Press Reply.
3. Scream in frustration.


Actual Results:  Quoted text is invisible.

Expected Results:  Quoted text should be visible.

Additional info:

I'm using 100dpi fonts.
Comment 1 John Stracke 2003-01-03 17:02:47 EST
BTW, this is a duplicate of 77624; but that one was closed by the reporter
because he'd upgraded to Evolution 1.2.  I don't consider that a fix; it's more
of a last resort.
Comment 2 Havoc Pennington 2003-02-03 17:57:43 EST
Evolution seems to be working fine for most people, I assume they are using 
a smaller or different font?

In any case, based on the overall errata queue, I can say with certainty that 
we are not able to release an errata for this in the next couple months, and
after that a new version of Red Hat will be available. Not a great answer I know, 
but those are the current constraints.

Note You need to log in before you can comment on or make changes to this bug.